<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
$con = mysqli_connect('localhost','ukcohgqo_companydata','USaOZO$FNo4Z','ukcohgqo_companydata');
if($con)
{
    //echo "DB connected";    
}
else
{
    die('DB connection Failed');    
}

if(isset($_POST['adv-search']))
{
    $include_name_contain = @$_POST['include_name_contain'];
    $exclude_name_contain = @$_POST['exclude_name_contain'];
    $office_address = $_POST['office_address'];
    $incorporation_date_from = $_POST['incorporation_date_from'];
    $incorporation_date_to = $_POST['incorporation_date_to'];
    $dissolved_date_from = @$_POST['dissolved_date_from'];
    $dissolved_date_to = @$_POST['dissolved_date_to'];
    $company_status = $_POST['company_status'];
    $sic_codes = str_replace(' ','',$_POST['sic_codes']);
    
    /*echo "<pre>";
    print_r($_POST);
    echo "</pre>";
    exit;*/
    $sql = "INSERT INTO 
                `search`(`name_contains`, `name_exclude`, `office_address`, `incorporation_date_from`, `incorporation_date_to`, `company_status`, `dissolved_date_from`, `dissolved_date_to`,`sic_codes`) 
                VALUES ('".$include_name_contain."','".$exclude_name_contain."','".$office_address."','".$incorporation_date_from."','".$incorporation_date_to."','".$company_status."','".$dissolved_date_from."','".$dissolved_date_to."','".$sic_codes."')";
    $exe = mysqli_query($con,$sql);
    if($exe)
    {
        $msg = "<strong style='color:green;'>Search added successfully.</strong>";
    }
    else
    {
        $msg = "<strong style='color:red;'>Something went wrong.</strong>";
    }
    
}
?>

<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <meta name="generator" content="">
    <title>UK Company House Data Search</title>
    <link href="assets/dist/css/bootstrap.min.css" rel="stylesheet">

    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>

    
    <!-- Custom styles for this template -->
    <link href="form-validation.css" rel="stylesheet">
  </head>
  <body class="bg-light">
    
    <div class="container">
      <main>
        <div class="py-5 text-center">
          <img class="d-block mx-auto mb-4" src="assets/brand/govuk-logotype-crown.svg" alt="" width="72" height="57">
          <h2>Advance Company Search</h2>
        </div>
    
        <div class="row g-5">
          <div class="col-md-12 col-lg-12">
              <?php echo @$msg;?>
            <form class="needs-validation" action="form.php" method="POST" novalidate>
              <div class="row g-3">
                <div class="col-12">
                  <label for="office_address" class="form-label">Registered office address (Full or Partial - use comma if multiple)</label>
                    <div class="input-group has-validation">
                        <input type="text" class="form-control" name="office_address" id="office_address" placeholder="">
                    </div>
                </div>
    
                <div class="col-6">
                  <label for="incorporation_date_from" class="form-label">Incorporation date From</label>
                  <input type="date" class="form-control" name="incorporation_date_from" id="incorporation_date_from" placeholder="" required>
                </div>
                
                <div class="col-6">
                  <label for="incorporation_date_to" class="form-label">Incorporation date To</label>
                  <input type="date" class="form-control" name="incorporation_date_to" id="incorporation_date_to" placeholder="" required>
                </div>
                
                <div class="col-6">
                  <label for="company_status" class="form-label">Company Status</label>
                  <select class="form-select" name="company_status" id="company_status" required>
                    <option value="active">Active</option>
                    <option value="dissolved">dissolved</option>
                    <option value="open">Open</option>
                    <option value="closed">Closed</option>
                    <option value="converted-closed">Converted closed</option>
                    <option value="receivership">Receivership</option>
                    <option value="liquidation">Liquidation</option>
                    <option value="administration">Administration</option>
                    <option value="insolvency-proceedings">Insolvency proceedings</option>
                    <option value="voluntary-arrangement">Voluntary arrangement</option>
                  </select>
                  <div class="invalid-feedback">
                    Company Status is required
                  </div>
                </div>
                
                <div class="col-6">
                  <label for="sic_codes" class="form-label">SIC Codes (use comma if multiple)</label>
                  <input type="text" class="form-control" name="sic_codes" id="sic_codes" placeholder="" required>
                </div>
              </div>

              <hr class="my-4">
    
              <button class="w-100 btn btn-primary btn-lg" name="adv-search" type="submit">Search</button>
            </form>
          </div>
        </div>
        
        
        <div class="py-5 text-center">
          <h2>Search Results</h2>
        </div>
        
        
        <div class="row g-5">
            <div class="col-md-12 col-lg-12">
                <table class="table table-striped table-hover">
                    <thead>
                        <tr>
                          <th scope="col">Status</th>
                          <th scope="col">CSV</th>
                          <th scope="col">Office Address</th>
                          <th scope="col">Incorporation Date From</th>
                          <th scope="col">Incorporation Date To</th>
                          <th scope="col">Company Status</th>
                          <th scope="col">Created At</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php 
                        $sql = "select * from `search` where `status`=1 order by id desc";
                        $exe = mysqli_query($con,$sql);
                        if($exe)
                        {
                            if(mysqli_num_rows($exe)>0)
                            {
                                while($row = mysqli_fetch_assoc($exe))
                                {
                                    $sql2 = "select count(*) as count from `search_companies` where `officers_search`=0 and `search_id`=".$row['id'];
                                    $exe2 = mysqli_query($con,$sql2);
                                    if($exe2)
                                    {
                                        $count_arr = mysqli_fetch_assoc($exe2);
                                        $count = $count_arr['count'];
                                        if($count == 0)
                                        {
                                        ?>
                                        <tr>
                                            <td><?= ($row['status'] == 1)?'<span style="color:green;">Completed</span>':'<span style="color:orange;">Pending</span>';?></td>
                                            <td><a target="_blank" href="download.php?sid=<?php echo $row['id'];?>">CSV</a></td>
                                            <td><?= @$row['office_address']?></td>
                                            <td><?= @$row['incorporation_date_from']?></td>
                                            <td><?= @$row['incorporation_date_to']?></td>
                                            <td><?= @$row['company_status']?></td>
                                            <td><?= @$row['created']?></td>
                                        </tr>
                                        <?php
                                        }
                                        else
                                        {
                                        ?>
                                        <tr>
                                            <td><?= ($row['status'] == 1)?'<span style="color:green;">Completed</span>':'<span style="color:orange;">Pending</span>';?></td>
                                            <td></td>
                                            <td><?= @$row['office_address']?></td>
                                            <td><?= @$row['incorporation_date_from']?></td>
                                            <td><?= @$row['incorporation_date_to']?></td>
                                            <td><?= @$row['company_status']?></td>
                                            <td><?= @$row['created']?></td>
                                        </tr>
                                        <?php
                                        }
                                    }
                                }
                            }
                        }
                        ?>
                    </tbody>
                </table>  
            </div>
        </div>
      </main>
    
      <footer class="my-5 pt-5 text-muted text-center text-small">
        <p class="mb-1">&copy; <?php echo date('Y');?></p>
        <ul class="list-inline">
          <li class="list-inline-item"><a href="#">Privacy</a></li>
          <li class="list-inline-item"><a href="#">Terms</a></li>
          <li class="list-inline-item"><a href="#">Support</a></li>
        </ul>
      </footer>
    </div>


    <script src="assets/dist/js/bootstrap.bundle.min.js"></script>
    <script src="form-validation.js"></script>
  </body>
</html>
