<?php 
$con = mysqli_connect('localhost','ukcohgqo_companydata','USaOZO$FNo4Z','ukcohgqo_companydata');
if($con)
{
    //echo "DB connected";    
}
else
{
    die('DB connection Failed');    
}

$sql = "select * from `search_companies` where `officers_search`=0 order by id asc limit 100";
$exe = mysqli_query($con,$sql);
if(mysqli_num_rows($exe)>0)
{
    while($row = mysqli_fetch_assoc($exe))
    {
        /*echo "<pre>";
        print_r($row);
        echo "</pre>";*/
        $company_number = $row['company_number'];
        $search_id = $row['search_id'];
        $company_db_id = $row['id'];
        $officers = getCompanyOfficers($company_number);
        $officers_arr = json_decode($officers,true);
        if(isset($officers_arr['items']))
        {
            if(sizeof($officers_arr['items'])>0)
            {
                foreach($officers_arr['items'] as $k=>$officer)
                {
                    $address_line_1 = @$officer['address']['address_line_1'];
                    $address_line_2 = @$officer['address']['address_line_2'];
                    $country = @$officer['address']['country'];
                    $locality = @$officer['address']['locality'];
                    $postal_code = @$officer['address']['postal_code'];
                    $premises = @$officer['address']['premises'];
                    $appointed_on = @$officer['appointed_on'];
                    $country_of_residence = @$officer['country_of_residence'];
                    $date_of_birth = @$officer['date_of_birth']['month'].'-'.$officer['date_of_birth']['year'];
                    $name = @$officer['name'];
                    $nationality = @$officer['nationality'];
                    $occupation = @$officer['occupation'];
                    $officer_role = @$officer['officer_role'];
                    $person_number = @$officer['person_number'];
                    
                    
                    $sql2 = "INSERT INTO 
                            `search_officers`(`search_id`, `company_number`, `name`, `nationality`, `occupation`, `officer_role`, `person_number`, `address_line_1`, `address_line_2`, `country`, `locality`, `postal_code`, `premises`, `appointed_on`, `country_of_residence`, `date_of_birth`) 
                            VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
                    //echo $company_name;
                    $stmt = mysqli_prepare($con, $sql2);
                    if (!$stmt) {
                        die("Prepare failed: " . mysqli_error($con));
                    }
                    
                    mysqli_stmt_bind_param($stmt, "ssssssssssssssss",$search_id,$company_number,$name,$nationality,$occupation,$officer_role,$person_number,$address_line_1,$address_line_2,$country,$locality,$postal_code,$premises,$appointed_on,$country_of_residence,$date_of_birth);
                    if (mysqli_stmt_execute($stmt)) 
                    {
                        echo "Row Inserted <br>";
                    } 
                    else 
                    {
                        echo "Error inserting record: " . mysqli_stmt_error($stmt);
                    }
                    mysqli_stmt_close($stmt);
                }
            }
            
            $sql2 = "update `search_companies` set `officers_search`=1 where `id`=".$company_db_id;
            $exe2 = mysqli_query($con,$sql2);
            if($exe2)
            {
                echo "Company updated";
            }
            else
            {
                echo mysqli_error($con);    
            }
            
            usleep(500000);
        }
        
        
        
        
    }
}

function getCompanyOfficers($company_number)
{
    $curl = curl_init();
    curl_setopt_array($curl, array(
      CURLOPT_URL => 'https://api.company-information.service.gov.uk/company/'.$company_number.'/officers?items_per_page=100',
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_ENCODING => '',
      CURLOPT_MAXREDIRS => 10,
      CURLOPT_TIMEOUT => 0,
      CURLOPT_FOLLOWLOCATION => true,
      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
      CURLOPT_CUSTOMREQUEST => 'GET',
      CURLOPT_HTTPHEADER => array(
        'Authorization: Basic '.base64_encode('8d38b02c-799c-4744-8081-152aaee20775:'),
        'Cookie: JSESSIONID=9E3640EF7AEF8EA9EF5FB2F4FF43B2AB'
      ),
    ));
    
    $response = curl_exec($curl);
    
    curl_close($curl);
    return $response;
}
function advanceCompaniesSearch($search_string)
{
    $url = 'https://api.company-information.service.gov.uk/advanced-search/companies'.$search_string;
    echo $url;
    $curl = curl_init();
    curl_setopt_array($curl, array(
      CURLOPT_URL =>$url,
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_ENCODING => '',
      CURLOPT_MAXREDIRS => 10,
      CURLOPT_TIMEOUT => 0,
      CURLOPT_FOLLOWLOCATION => true,
      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
      CURLOPT_CUSTOMREQUEST => 'GET',
      CURLOPT_HTTPHEADER => array(
        'Authorization: Basic '.base64_encode('8d38b02c-799c-4744-8081-152aaee20775:'),
        'Cookie: JSESSIONID=9E3640EF7AEF8EA9EF5FB2F4FF43B2AB'
      ),
    ));
    
    $response = curl_exec($curl);
    
    curl_close($curl);
    return $response;
}

?>